local old_restore_health = PlayerDamage.restore_health
local old_restore_armor = PlayerDamage.restore_armor
local old_set_regenerate_timer_to_max = PlayerDamage.set_regenerate_timer_to_max

function PlayerDamage:restore_health(...)
	if Handicapper_mod._settings.health then
		old_restore_health(self, ...)
	end
end

function PlayerDamage:restore_armor(...)
	if Handicapper_mod._settings.armor then
		old_restore_armor(self, ...)
	end
end

function PlayerDamage:set_regenerate_timer_to_max()
	if Handicapper_mod._settings.armor then
		old_set_regenerate_timer_to_max(self)
	else
		self._regenerate_timer = tweak_data.player.damage.REGENERATE_TIME
		self._regenerate_speed = self._regenerate_speed or 1
		self._current_state = self._update_regenerate_timer
	end
end